import java.awt.event.*;
import java.awt.*;

class PencilA implements MouseMotionListener{

private Color col = new Color(0,0,0);
private int initX = 0;
private int initY = 0;
private int pen;//lo stile: 0= matita, 1= penna, 2 = aerografo

//costruttore

PencilA(Color colore, int penna){
	col = colore;
	pen = penna;
	}


//metodi dell'interfaccia 

public void mouseDragged(MouseEvent e){
	Graphics g = e.getComponent().getGraphics();
	int s = getPenStyle();
	g.setColor(col);
	if(s == 1){
	g.drawLine(initX, initY, e.getX(), e.getY());
	g.drawLine(initX, initY-1,e.getX(),e.getY()-1);
	g.drawLine(initX-1,initY,e.getX()-1,e.getY());
	g.drawLine(initX-1,initY-1,e.getX()-1,e.getY()-1);
	}
	else if(s == 0){
	g.drawLine(initX,initY,e.getX(), e.getY());
	}
	else{// s = 2
		g.fillOval(initX, initY,10,10);
		}
	initX = e.getX();
	initY = e.getY();
	}

public void mouseMoved(MouseEvent e){
	initX = e.getX();
	initY = e.getY();
	}

//metodo cambia colore

public void CambiaColore(Color chgcol){
	col = chgcol;
	}

//per avere lo stile
public int getPenStyle(){
	return pen;
	}
//metodo set PenStyle
public void setPenStyle(int p){
	pen = p;
	}
}