import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class DisegnoA extends Applet implements ActionListener{

/*<applet code="DisegnoA.class" width = 600 height = 400>
</applet>*/

Font ftB = new Font("Dialog", Font.BOLD,16);
Font ftBB = new Font("Dialog", Font.BOLD,25);
Font ftP = new Font("Dialog", Font.PLAIN,17);
Button bt_ftB = new Button(" penna ");
Button bt_ftBB = new Button("aerografo");
Button bt_ftP = new Button(" matita ");
Button bt_canc = new Button("Cancella");
Button bt_go = new Button(" gomma ");
Button btR = new Button("Rosso");
Button btG = new Button("Giallo");
Button btV = new Button("Verde");
Button btB = new Button(" Blu ");
Button btN = new Button("Nero");
Button btP = new Button("Rosa");
Button btVi = new Button("Viola");
Button sfG = new Button("SfGiallo");
Button sfB = new Button("SfBlu");
Color bgcol = new Color(238,238,238);
Color colore = Color.black;
PencilA mat = new PencilA(colore, 0);
Panel pN = new Panel();
Panel pS = new Panel();
int w,h;
Can_DisegnoA can = new Can_DisegnoA(Color.lightGray,w,h-50);



public void init(){
	w = getSize().width;
	h = getSize().height;
	setBackground(bgcol);
	can.setBackground(can.cangetCol());
	
	setLayout(new BorderLayout());
	pN.setLayout(new GridLayout(1,7,7,2));
	bt_ftB.setBackground(bgcol);
	bt_ftBB.setBackground(bgcol);
	bt_ftP.setBackground(bgcol);
	bt_canc.setBackground(bgcol);
	bt_go.setBackground(bgcol);
	sfG.setBackground(bgcol);
	sfB.setBackground(bgcol);
	sfG.addActionListener(this);
	sfB.addActionListener(this);
	bt_ftB.addActionListener(this);
	bt_ftBB.addActionListener(this);
	bt_ftP.addActionListener(this);
	bt_canc.addActionListener(this);
	bt_go.addActionListener(this);
	pN.add(sfG);
	pN.add(sfB);
	pN.add(bt_ftB);
	pN.add(bt_ftBB);
	pN.add(bt_ftP);
	pN.add(bt_go);
	pN.add(bt_canc);
	add("North", pN);
	pS.setLayout(new GridLayout(1,7,7,2));
	btR.setBackground(bgcol);
	btV.setBackground(bgcol);
	btG.setBackground(bgcol);
	btB.setBackground(bgcol);
	btN.setBackground(bgcol);
	btP.setBackground(bgcol);
	btVi.setBackground(bgcol);
	btR.addActionListener(this);
	btG.addActionListener(this);
	btV.addActionListener(this);
	btB.addActionListener(this);
	btN.addActionListener(this);
	btP.addActionListener(this);
	btVi.addActionListener(this);
	pS.add(btP);
	pS.add(btVi);
	pS.add(btR);
	pS.add(btG);
	pS.add(btV);
	pS.add(btB);
	pS.add(btN);
	add("South", pS);
	add("Center", can);
	can.addMouseMotionListener(mat);
	}
public void paint(Graphics g){
	g.setColor(Color.lightGray);
	g.drawRect(0,0,w-1,h-1);
	g.drawRect(1,1,w-3,h-3);
	}

public void actionPerformed(ActionEvent e){
	String cmd = e.getActionCommand();
	
	if(cmd == "Rosso"){
		mat.CambiaColore(Color.red);
		}
	if(cmd == "Verde"){
		mat.CambiaColore(Color.green);
		}
	if(cmd == " Blu "){
		mat.CambiaColore(Color.blue);
		}
	if(cmd == "Giallo"){
		mat.CambiaColore(Color.yellow);
		}
	if(cmd == "Nero"){
		mat.CambiaColore(Color.black);
		}
	if(cmd == "Rosa"){
		mat.CambiaColore(Color.pink);
		}
	if(cmd == "Viola"){
		mat.CambiaColore(new Color(204,0,255));
		}
	if(cmd == " penna "){
		mat.setPenStyle(1);
		}
	if(cmd == "aerografo"){
		mat.setPenStyle(2);
		}
	if(cmd == " matita "){
		mat.setPenStyle(0);
		}
	if(cmd == "Cancella"){
		//can.Canc();//funz
		//can.setBackground(can.getBackground()); non funz
		can.repaint();//funz
		}
	if(cmd == " gomma "){
		mat.setPenStyle(1);
		mat.CambiaColore(can.getBackground());
		}
	if(cmd == "SfGiallo"){
		can.setBackground(Color.yellow);
		}
	if(cmd == "SfBlu"){
		can.setBackground(Color.blue);
		}
	}//fine actionPerformed
public Insets getInsets(){
	return new Insets(6,6,6,6);
	}
}